<!-- Generated by pkgdown: do not edit by hand -->
<!DOCTYPE html>
<html lang="en">
  <head>
  <meta charset="utf-8">
<meta http-equiv="X-UA-Compatible" content="IE=edge">
<meta name="viewport" content="width=device-width, initial-scale=1.0">

<title>Analytical solution of hemagglutination degree — hemagglutination_degree • himodel</title>

<!-- jquery -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js" integrity="sha256-FgpCb/KJQlLNfOu91ta32o/NMZxltwRo8QtmkMRdAu8=" crossorigin="anonymous"></script>
<!-- Bootstrap -->

<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/css/bootstrap.min.css" integrity="sha256-916EbMg70RQy9LHiGkXzG8hSg9EdNy97GazNG/aiY1w=" crossorigin="anonymous" />
<script src="https://cdnjs.cloudflare.com/ajax/libs/twitter-bootstrap/3.3.7/js/bootstrap.min.js" integrity="sha256-U5ZEeKfGNOja007MMD3YBI0A3OSZOQbeG6z2f2Y0hu8=" crossorigin="anonymous"></script>

<!-- Font Awesome icons -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/all.min.css" integrity="sha256-nAmazAk6vS34Xqo0BSrTb+abbtFlgsFK7NKSi6o7Y78=" crossorigin="anonymous" />
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.7.1/css/v4-shims.min.css" integrity="sha256-6qHlizsOWFskGlwVOKuns+D1nB6ssZrHQrNj1wGplHc=" crossorigin="anonymous" />

<!-- clipboard.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/clipboard.js/2.0.4/clipboard.min.js" integrity="sha256-FiZwavyI2V6+EXO1U+xzLG3IKldpiTFf3153ea9zikQ=" crossorigin="anonymous"></script>

<!-- headroom.js -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/headroom.min.js" integrity="sha256-DJFC1kqIhelURkuza0AvYal5RxMtpzLjFhsnVIeuk+U=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/headroom/0.9.4/jQuery.headroom.min.js" integrity="sha256-ZX/yNShbjqsohH1k95liqY9Gd8uOiE1S4vZc+9KQ1K4=" crossorigin="anonymous"></script>

<!-- pkgdown -->
<link href="../pkgdown.css" rel="stylesheet">
<script src="../pkgdown.js"></script>



<meta property="og:title" content="Analytical solution of hemagglutination degree — hemagglutination_degree" />

<meta property="og:description" content="Uses the analytical solution of Smoluchowski's coagulation
  eqation with kernel K = 1 to compute the concentration of agglutinating
  particles \(RBC_{free}(t) + RBC_{agg}(t)\) and the degree of
  hemagglutination \(h(t)\).
$$RBC_\text{free}(t) + RBC_\text{agg}(t) =
    \frac{RBC_\text{tot}}{1 + \left(\dfrac{ k_\text{agg}}{2}\right)
     \rho(t) (1 - \rho(t)) (1 - \theta)^2 RBC_\text{tot} \ \cdot t}  \ $$
  $$
  h(t) = 1 - \frac{RBC_\text{free}(t) + RBC_\text{agg}(t)} {RBC_\text{total}}
  $$" />
<meta name="twitter:card" content="summary" />



<!-- mathjax -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/MathJax.js" integrity="sha256-nvJJv9wWKEm88qvoQl9ekL2J+k/RWIsaSScxxlsrv8k=" crossorigin="anonymous"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/mathjax/2.7.5/config/TeX-AMS-MML_HTMLorMML.js" integrity="sha256-84DKXVJXs0/F8OTMzX4UR909+jtl4G7SPypPavF+GfA=" crossorigin="anonymous"></script>

<!--[if lt IE 9]>
<script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
<script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
<![endif]-->



  </head>

  <body>
    <div class="container template-reference-topic">
      <header>
      <div class="navbar navbar-default navbar-fixed-top" role="navigation">
  <div class="container">
    <div class="navbar-header">
      <button type="button" class="navbar-toggle collapsed" data-toggle="collapse" data-target="#navbar" aria-expanded="false">
        <span class="sr-only">Toggle navigation</span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
        <span class="icon-bar"></span>
      </button>
      <span class="navbar-brand">
        <a class="navbar-link" href="../index.html">himodel</a>
        <span class="version label label-default" data-toggle="tooltip" data-placement="bottom" title="Released version">0.9</span>
      </span>
    </div>

    <div id="navbar" class="navbar-collapse collapse">
      <ul class="nav navbar-nav">
        <li>
  <a href="../index.html">
    <span class="fas fa fas fa-home fa-lg"></span>
     
  </a>
</li>
<li>
  <a href="../articles/himodel.html">Get started</a>
</li>
<li>
  <a href="../reference/index.html">Reference</a>
</li>
      </ul>
      
      <ul class="nav navbar-nav navbar-right">
        
      </ul>
      
    </div><!--/.nav-collapse -->
  </div><!--/.container -->
</div><!--/.navbar -->

      

      </header>

<div class="row">
  <div class="col-md-9 contents">
    <div class="page-header">
    <h1>Analytical solution of hemagglutination degree</h1>
    
    <div class="hidden name"><code>hemagglutination_degree.Rd</code></div>
    </div>

    <div class="ref-description">
    
    <p>Uses the analytical solution of Smoluchowski's coagulation
  eqation with kernel K = 1 to compute the concentration of agglutinating
  particles \(RBC_{free}(t) + RBC_{agg}(t)\) and the degree of
  hemagglutination \(h(t)\).</p>
<p>$$RBC_\text{free}(t) + RBC_\text{agg}(t) =
    \frac{RBC_\text{tot}}{1 + \left(\dfrac{ k_\text{agg}}{2}\right)
     \rho(t) (1 - \rho(t)) (1 - \theta)^2 RBC_\text{tot} \ \cdot t}  \ $$
  $$
  h(t) = 1 - \frac{RBC_\text{free}(t) + RBC_\text{agg}(t)} {RBC_\text{total}}
  $$</p>
    
    </div>

    <pre class="usage"><span class='fu'>hemagglutination_degree</span>(<span class='no'>theta</span>, <span class='no'>rho</span>, <span class='no'>rbc_conc_tot</span>, <span class='no'>t_readout</span>, <span class='kw'>k_agg</span> <span class='kw'>=</span> <span class='fl'>2e+06</span>)</pre>
    
    <h2 class="hasAnchor" id="arguments"><a class="anchor" href="#arguments"></a>Arguments</h2>
    <table class="ref-arguments">
    <colgroup><col class="name" /><col class="desc" /></colgroup>
    <tr>
      <th>theta</th>
      <td><p>Hemagglutinin (HA) occupancy (fraction of antibody-covered HAs),
numeric value between 0 and 1.
See <code><a href='hemagglutinin_occupancy.html'>hemagglutinin_occupancy</a></code>.</p></td>
    </tr>
    <tr>
      <th>rho</th>
      <td><p>Virus density on RBCs (fraction of virus-covered sialic acid
linked receptors on RBCs), numeric value between 0 and 1.
See <code><a href='virus_density_on_rbc.html'>virus_density_on_rbc</a></code>.</p></td>
    </tr>
    <tr>
      <th>rbc_conc_tot</th>
      <td><p>Total concentration of red blood cells (RBCs) in unit nM.
Numeric value &gt; 0.</p></td>
    </tr>
    <tr>
      <th>t_readout</th>
      <td><p>Readout time in seconds.</p></td>
    </tr>
    <tr>
      <th>k_agg</th>
      <td><p>Kinetic rate constant of agglutination, default set to 2e6 per
second (1/s).</p></td>
    </tr>
    </table>
    
    <h2 class="hasAnchor" id="value"><a class="anchor" href="#value"></a>Value</h2>

    <p>Numeric value between 0 and 1.</p>
    

  </div>
  <div class="col-md-3 hidden-xs hidden-sm" id="sidebar">
    <h2>Contents</h2>
    <ul class="nav nav-pills nav-stacked">
      <li><a href="#arguments">Arguments</a></li>
      
      <li><a href="#value">Value</a></li>
          </ul>

  </div>
</div>


      <footer>
      <div class="copyright">
  <p>Developed by Janina Linnik.</p>
</div>

<div class="pkgdown">
  <p>Site built with <a href="https://pkgdown.r-lib.org/">pkgdown</a> 1.4.1.</p>
</div>

      </footer>
   </div>

  


  </body>
</html>


